summaryrefslogtreecommitdiff
path: root/qa/466
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/466
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/466')
-rwxr-xr-xqa/46690
1 files changed, 90 insertions, 0 deletions
diff --git a/qa/466 b/qa/466
new file mode 100755
index 0000000..f290565
--- /dev/null
+++ b/qa/466
@@ -0,0 +1,90 @@
+#! /bin/sh
+# PCP QA Test No. 466
+# pmlogger -r
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+# Copyright 2014 Red Hat
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+. ./localconfig
+
+rm -f $seq.out
+if [ $PCP_VER -ge 3811 ]
+then
+ ln $seq.out.3 $seq.out || exit 1
+elif [ $PCP_VER -ge 3810 ]
+then
+ ln $seq.out.1 $seq.out || exit 1
+else
+ ln $seq.out.2 $seq.out || exit 1
+fi
+
+status=1 # failure is the default!
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+cat <<End-of-File | pmlogger -r -l $tmp.log -T 3sec $tmp
+log mandatory on once {
+ sample.control
+}
+log mandatory on once {
+ sample.long.one
+}
+log mandatory on once {
+ sample.float.one
+}
+log mandatory on once {
+ sample.double.one
+}
+log mandatory on once {
+ sample.string.null
+}
+log mandatory on once {
+ sample.string.hullo
+}
+log mandatory on once {
+ sample.bin
+}
+log mandatory on once {
+ sample.control
+ sample.long.one
+}
+log mandatory on once {
+ sample.control
+ sample.float.one
+ sample.double.one
+ sample.string.null
+ sample.string.hullo
+ sample.bin
+}
+log mandatory on 500 msec {
+ sample.control
+}
+log mandatory on 1 sec {
+ sample.control
+ sample.long.one
+}
+log mandatory on 2 sec {
+ sample.control
+ sample.float.one
+ sample.double.one
+ sample.string.null
+ sample.string.hullo
+ sample.bin
+}
+End-of-File
+
+sed <$tmp.log \
+ -e '1,/^Archive basename:/d' \
+ -e '/^Log finished/d'
+
+# success, all done
+status=0
+exit